ATM Deluxe はOSX 10.4で使用できますか?

現在iMac G5を使用しているのですが、
Illustrator8.0で仕事をしなければならないのですが、
ATM Deluxe 4.6.1がうまく起動しません。
もともと、会社のMacに入っていたものを
コピーしてきたものだったりするせいなのかもしれませんが、
どうしたら使えるようになるのか、どなたかおしえてください。
要は、Illustrator8.0でフォントの問題なく
作業ができるようになればいいのですが・・・・。
できれば早急に解決したいです!
どなたか助けてくださいませ。

変な質問ですみません